 
== versiunea 2016002 ==
2015_09_28__09_10
 
Fixat numar factura;
== versiunea 2016003 ==
2015_09_29__10_36
 
== versiunea 2016004 ==
2015_09_30__11_31
 
== versiunea 2016005 ==
2015_10_06__17_00
 
== versiunea 2016006 ==
2015_10_07__11_38
 
== versiunea 2016007 ==
2015_10_19__18_01
 
== versiunea 2016008 ==
2015_10_19__18_08
 
== versiunea 2016009 ==
2015_10_22__17_41
 
== versiunea 2016010 ==
2015_10_22__18_57
 
Parametru nou pentru modulul ecr_client ; locatii multiple, se pot adauga locatii noi in formatul ip:port:nume_locatie
iar locatiile se separa prin "|" ex: ip:port:locatie1|ip:port:locatie2
Pentru toate locatiile se va completa cu "all" la numele locatiei: ip:port:all

== versiunea 2016011 ==
2015_10_26__13_05
 
== versiunea 2016012 ==
2015_10_27__16_12
 
== versiunea 2016013 ==
2015_10_29__06_02
 
== versiunea 2016014 ==
2015_10_29__06_21
 
== versiunea 2016015 ==
2015_11_18__10_33
 
== versiunea 2016016 ==
2015_11_18__12_27
 
== versiunea 2016017 ==
2015_11_19__10_37
 
== versiunea 2016018 ==
2015_12_09__07_31
 
== versiunea 2016019 ==
2015_12_11__15_40
 
== versiunea 2016020 ==
2015_12_14__11_25
 
== versiunea 2016021 ==
2015_12_22__11_21
 
== versiunea 2016022 ==
2015_12_31__14_43
 
== versiunea 2016023 ==
2016_01_01__17_58
 
== versiunea 2016024 ==
2016_01_02__12_31
 
== versiunea 2016025 ==
2016_01_05__18_10
 
== versiunea 2016025 ==
2016_01_09__17_41
 
== versiunea 2016025 ==
2016_01_09__17_42
 
== versiunea 2016025 ==
2016_01_09__17_45
 
== versiunea 2016026 ==
2016_01_09__17_47
 
== versiunea 2016027 ==
2016_01_10__17_10
 
== versiunea 2016028 ==
2016_01_13__15_18
 
== versiunea 2016029 ==
2016_01_13__15_32
 
== versiunea 2016030 ==
2016_01_14__16_43
 
== versiunea 2016031 ==
2016_01_14__16_52
 
== versiunea 2016032 ==
2016_01_16__12_15
 
== versiunea 2016033 ==
2016_01_16__14_49
 
== versiunea 2016034 ==
2016_01_19__10_46
 
== versiunea 2016035 ==
2016_01_19__18_05
 
== versiunea 2016036 ==
2016_01_21__10_01
 
== versiunea 2016037 ==
2016_01_21__13_28
 
== versiunea 2016038 ==
2016_01_22__09_58
 
== versiunea 2016039 ==
2016_01_26__12_23
 
== versiunea 2016040 ==
2016_01_26__16_32
 
== versiunea 2016041 ==
2016_01_27__11_09
 
== versiunea 2016042 ==
2016_02_02__12_54
 
== versiunea 2016043 ==
2016_02_02__12_54
 
== versiunea 2016044 ==
2016_02_02__14_45
 
== versiunea 2016045 ==
2016_02_03__14_48
 
== versiunea 2016046 ==
2016_02_03__17_25
 
== versiunea 2016047 ==
2016_02_04__10_20
 
== versiunea 2016048 ==
2016_02_08__12_56
 
== versiunea 2016048 ==
2016_02_08__15_34
 
== versiunea 2016048 ==
2016_02_08__15_35
 
== versiunea 2016049 ==
2016_02_08__15_40
 
== versiunea 2016050 ==
2016_02_08__15_53
 
== versiunea 2016051 ==
2016_02_08__18_26
 
== versiunea 2016052 ==
2016_02_09__06_52
 
== versiunea 2016053 ==
2016_02_11__17_36
 
== versiunea 2016054 ==
2016_02_12__10_22
 
== versiunea 2016055 ==
2016_02_12__14_53
 
== versiunea 2016056 ==
2016_02_12__17_06
 
== versiunea 2016057 ==
2016_02_12__17_40
 
== versiunea 2016058 ==
2016_02_12__19_02
 
== versiunea 2016059 ==
2016_02_20__14_16
 
== versiunea 2016060 ==
2016_02_20__14_43
 
== versiunea 2016061 ==
2016_02_20__15_17
 
== versiunea 2016062 ==
2016_02_23__07_06
 
== versiunea 2016063 ==
2016_02_23__07_24
 
== versiunea 2016064 ==
2016_02_23__10_25
 
== versiunea 2016065 ==
2016_02_26__11_33
 
== versiunea 2016066 ==
2016_02_26__13_25
 
== versiunea 2016067 ==
2016_02_26__13_44

 valoarea maxima de discount acordata pe zi ( implicat automat fidelitate ( client + promotie ) - nu va da reducere daca clientul este anonim ) :
maxDiscountValuePerDay

numarul maxim de note cu discount, dintr-o zi ( implicat automat fidelitate ( client + promotie ) - nu va da reducere daca clientul este anonim ) :
maxDiscountOrdersNoPerDay

== versiunea 2016068 ==
2016_02_27__16_35
 
== versiunea 2016069 ==
2016_03_03__15_51
 
== versiunea 2016070 ==
2016_03_03__18_14
 
== versiunea 2016071 ==
2016_03_03__18_28
 
== versiunea 2016072 ==
2016_03_05__18_23
 
== versiunea 2016073 ==
2016_03_07__12_21
 
== versiunea 2016074 ==
2016_03_07__16_10
 
== versiunea 2016075 ==
2016_03_09__11_11
 
== versiunea 2016076 ==
2016_03_09__11_21
 
== versiunea 2016077 ==
2016_03_09__11_25
 
== versiunea 2016078 ==
2016_03_09__11_28
 
== versiunea 2016079 ==
2016_03_09__11_45
 
== versiunea 2016080 ==
2016_03_14__00_18
 
== versiunea 2016081 ==
2016_03_14__00_53
 
== versiunea 2016082 ==
2016_03_18__12_47
 
== versiunea 2016083 ==
2016_03_21__13_14
 
== versiunea 2016084 ==
2016_03_26__11_37
 
== versiunea 2016085 ==
2016_03_26__14_17
 
== versiunea 2016086 ==
2016_03_28__08_01
 
== versiunea 2016087 ==
2016_03_28__08_07
 
== versiunea 2016088 ==
2016_03_28__11_42
 
== versiunea 2016089 ==
2016_03_28__11_53
 
== versiunea 2016090 ==
2016_03_29__12_34
 
== versiunea 2016091 ==
2016_03_30__10_54
 
== versiunea 2016092 ==
2016_04_04__12_19
 
== versiunea 2016092 ==
2016_04_06__10_34
 
== versiunea 2016092 ==
2016_04_06__10_35
 
== versiunea 2016092 ==
2016_04_06__10_38
 
== versiunea 2016093 ==
2016_04_06__11_01
 
== versiunea 2016094 ==
2016_04_06__11_02
 
== versiunea 2016095 ==
2016_04_11__12_42
 
== versiunea 2016096 ==
2016_04_11__15_38
 
== versiunea 2016097 ==
2016_04_11__17_42
 
== versiunea 2016098 ==
2016_04_12__10_58
 
== versiunea 2016099 ==
2016_04_12__11_40
 
== versiunea 2016100 ==
2016_04_12__12_14
 
== versiunea 2016101 ==
2016_04_12__12_18
 
== versiunea 2016102 ==
2016_04_12__14_01
 
== versiunea 2016103 ==
2016_04_12__16_46
 
== versiunea 2016104 ==
2016_04_12__17_01
 
== versiunea 2016105 ==
2016_04_13__18_26
 
== versiunea 2016106 ==
2016_04_18__12_42
 
== versiunea 2016107 ==
2016_04_18__18_18
 
nirRoundDecimals : numarul de zecimale la care se fac rotunjirile la nir (default 2)

== versiunea 2016108 ==
2016_04_19__09_49
 
hotel :
a. daca facturare inainte de incasare, nu mai da mesajul cu "produs neachitat"
b. daca facturare inainte de incasare, cere de la user tipul de plata in forma <tip plata>=<suma>

== versiunea 2016109 ==
2016_04_19__10_04
 

raport intrari : filtru pe magazie, adaugat coloane tva, adaos

intrari furnizori : sortare pe data, factura , cui si furnizor


== versiunea 2016110 ==
2016_04_19__15_32
 
== versiunea 2016111 ==
2016_04_19__15_53
 
fisierele dever_...log se muta in directorul logs la pornirea programului

touch6 ( fastfood ) + transfer intre magazii = dialog mare cat casa pt gl_Tap ; permite alegerea magaziei sursa si destinatie



== versiunea 2016112 ==
2016_04_19__19_56
 
== versiunea 2016113 ==
2016_04_20__12_44
 
== versiunea 2016114 ==
2016_04_22__09_13
 

la driverul de total ( folosit si la activa si la total ) - am adaugat o inchidere suplimentara a bonului fiscal . Se pare ca este necesara daca se folosesc comenzile de tipuri de plata RQ .

ca obs, dirverul activa este obsolete si nu trebuie folosit.

== versiunea 2016115 ==
2016_04_22__10_45
 
== versiunea 2016116 ==
2016_04_22__11_00
 
== versiunea 2016117 ==
2016_04_22__11_01

 o mica modificare la intrarea pe masa, inainte se redesena tot selectorul de produse, acum nu se mai redeseneaza

 se poate reveni  la modul initial punand 1 la touch2Selector2RedrawAtTableOpen


== versiunea 2016118 ==
2016_04_22__16_00
 
== versiunea 2016119 ==
2016_04_22__16_32
 
== versiunea 2016120 ==
2016_04_24__09_04
 
== versiunea 2016121 ==
2016_04_24__09_45
 
== versiunea 2016122 ==
2016_04_27__13_43
 
== versiunea 2016123 ==
2016_05_04__14_40
 

touch 7 : culori, stoc in magazia de productie, cu refresh la 10 secunde, magazii seprate pt productie si bonul de consum


== versiunea 2016124 ==
2016_05_16__18_39
 
== versiunea 2016125 ==
2016_05_17__11_31
 
== versiunea 2016126 ==
2016_05_17__11_51
 
== versiunea 2016127 ==
2016_05_17__12_07
 
== versiunea 2016128 ==
2016_05_18__10_38
 
== versiunea 2016129 ==
2016_05_18__11_28
 
== versiunea 2016130 ==
2016_05_18__12_13
 
== versiunea 2016131 ==
2016_05_18__12_17
 
== versiunea 2016132 ==
2016_05_18__12_24
 
== versiunea 2016133 ==
2016_05_18__12_35
 
== versiunea 2016134 ==
2016_05_18__12_40
 
== versiunea 2016135 ==
2016_05_18__15_22
 
touch 6 si 7 tin cont de -sectii ( netestat )


== versiunea 2016136 ==
2016_05_24__12_05
 
== versiunea 2016137 ==
2016_05_24__15_34

la NIR, la totaluri, se afiseaza acum si urmatoarele:

total pe magazie * tva
total pe magazie
total pe tva
total general

trebuie actualizata din conf linia totalLineA.txt


== versiunea 2016138 ==
2016_05_31__08_07
 
== versiunea 2016139 ==
2016_06_01__16_13

compatibilitate food pda cu 2016

== versiunea 2016140 ==
2016_06_01__16_15


suma cantitati pe balanta si raport intrari ( pt gl_Tap )

productie cu inventar intermitent -> productia se salveaza ca nir - se poate folosi in cazuri de transare, dar cred ca si pt productie ( pt gl_Tap )

facturare ( facturi emise )  : se poate sterge automat fisierul de factura emisa, de pe disk ( deleteFacturaFileAfterSave -> 1 ) - vl_maria / miraj


== versiunea 2016141 ==
2016_06_01__21_00
 
== versiunea 2016142 ==
2016_06_10__11_05
 
== versiunea 2016143 ==
2016_06_10__11_22
 
== versiunea 2016144 ==
2016_06_10__11_25
 
== versiunea 2016145 ==
2016_06_10__11_43
 
== versiunea 2016146 ==
2016_06_10__11_46
 
== versiunea 2016147 ==
2016_06_10__12_04
 
== versiunea 2016148 ==
2016_06_10__12_08
 
== versiunea 2016149 ==
2016_06_10__12_11
 
== versiunea 2016150 ==
2016_06_13__13_40
 
== versiunea 2016151 ==
2016_06_13__13_42
 
== versiunea 2016152 ==
2016_06_14__11_48
 
== versiunea 2016153 ==
2016_06_14__13_03
 
== versiunea 2016154 ==
2016_06_15__13_23
 
== versiunea 2016155 ==
2016_06_15__14_20
 
== versiunea 2016156 ==
2016_06_15__14_42
 
== versiunea 2016157 ==
2016_06_15__15_53
 
== versiunea 2016158 ==
2016_06_16__11_44
 
== versiunea 2016159 ==
2016_06_16__13_29
 
== versiunea 2016160 ==
2016_06_16__17_18
 
== versiunea 2016161 ==
2016_06_16__17_23
 
== versiunea 2016162 ==
2016_06_18__16_02
 
== versiunea 2016163 ==
2016_06_22__15_19
 
== versiunea 2016164 ==
2016_06_22__15_46
 
== versiunea 2016165 ==
2016_06_22__16_09
 
== versiunea 2016166 ==
2016_06_24__11_38
 
== versiunea 2016167 ==
2016_06_24__12_29
 
== versiunea 2016168 ==
2016_06_27__12_44
 
== versiunea 2016169 ==
2016_06_27__14_33
 
== versiunea 2016170 ==
2016_06_27__17_01
 
== versiunea 2016171 ==
2016_06_27__17_50
 
== versiunea 2016172 ==
2016_06_27__17_51
 
== versiunea 2016173 ==
2016_06_28__06_23
 
== versiunea 2016174 ==
2016_06_28__06_24
 
== versiunea 2016175 ==
2016_07_01__00_54
 
== versiunea 2016176 ==
2016_07_05__19_19
 
== versiunea 2016177 ==
2016_07_05__19_53
 
== versiunea 2016178 ==
2016_07_06__08_33
 
== versiunea 2016179 ==
2016_07_06__18_23
 
== versiunea 2016180 ==
2016_07_09__13_42
 
== versiunea 2016181 ==
2016_07_09__14_28
 
== versiunea 2016182 ==
2016_07_11__14_29
 
== versiunea 2016183 ==
2016_07_11__19_47

ordine corecta la continut facturi emise


 
== versiunea 2016184 ==
2016_07_13__09_23
 
== versiunea 2016185 ==
2016_07_13__16_44
 
== versiunea 2016186 ==
2016_07_14__09_53
 
== versiunea 2016187 ==
2016_07_14__11_18
 
== versiunea 2016188 ==
2016_07_14__11_30
 
== versiunea 2016189 ==
2016_07_14__13_39
 
== versiunea 2016190 ==
2016_07_14__19_10
 
== versiunea 2016191 ==
2016_07_19__11_24
 
== versiunea 2016192 ==
2016_07_20__12_28
 
la driverul datecs.Generic sau NativeDP50, pt tiparirea prin retea , configurare noua :

useDefaultXmlHandler - valoare implicita true , foloseste xml handlerul generic .

Daca intampinati probleme dupa update la tiparirea prin retea, folositi useDefaultXmlHandler=false in fisierul de configurare din conf/ecr sau in fisierul xml din startup.


Daca errorNotifications=false , SI programul are err cu un produs , atunci intregul bon va fi anulat ( inainte era retry, si daca aveam o eroare trebuia stearsa coada de bonuri )
( se considera ca pe noua varianta de librarii, este exclusa posibilitatea ca erorile sa apara datorita comunicatiei, si pot aparea doar daca s-au trimis bonuri eronate la casa. )



== versiunea 2016193 ==
2016_07_20__14_21
 
== versiunea 2016194 ==
2016_07_20__16_35
 
== versiunea 2016195 ==
2016_07_25__11_25
 
== versiunea 2016196 ==
2016_07_25__20_46
 
== versiunea 2016197 ==
2016_07_25__20_50
 
== versiunea 2016198 ==
2016_07_27__09_24
 
== versiunea 2016199 ==
2016_07_27__10_10
 
== versiunea 2016200 ==
2016_07_29__07_28
 
== versiunea 2016201 ==
2016_08_02__10_32
 
== versiunea 2016202 ==
2016_08_02__15_30
 
== versiunea 2016203 ==
2016_08_03__11_47
 
== versiunea 2016204 ==
2016_08_03__17_18
 
== versiunea 2016205 ==
2016_08_04__13_54
 
== versiunea 2016206 ==
2016_08_05__19_27

reparat cantar ( nu mergea pe libraria noua de seriala purejava  )

Cantarul CAS ER Plus functioneaza la fel ca digi , pe acelasi protocol.




== versiunea 2016207 ==
2016_08_08__09_44


inlocuit peste tot "/dev/" cu ""  - purejava nu accepta ca input /dev/tty.. , ci tty...

NU trebuie modificate fisierele de configurare !!



== versiunea 2016208 ==
2016_08_09__10_10
 
== versiunea 2016209 ==
2016_08_11__16_55
 
== versiunea 2016210 ==
2016_08_27__10_49

bugfix : daca validam documente intram pe un caz in care nu se mai permiteau modificari la documente nevalidate . fixed


 
== versiunea 2016211 ==
2016_08_30__11_44
 
== versiunea 2016212 ==
2016_08_31__16_54
 
la export orders se exporta si pretul original si discountul produselor

== versiunea 2016213 ==
2016_09_01__13_39
 
== versiunea 2016214 ==
2016_09_01__17_37
 
== versiunea 2016215 ==
2016_09_01__19_17
 
== versiunea 2016216 ==
2016_09_02__12_41
 
== versiunea 2016217 ==
2016_09_02__15_22
 
== versiunea 2016218 ==
2016_09_02__15_26
 
== versiunea 2016219 ==
2016_09_02__15_53
 
== versiunea 2016220 ==
2016_09_05__17_49
 
== versiunea 2016221 ==
2016_09_06__09_08
 
== versiunea 2016222 ==
2016_09_22__12_35
 
== versiunea 2016223 ==
2016_09_23__12_51
 
== versiunea 2016224 ==
2016_09_23__16_17
 
== versiunea 2016225 ==
2016_09_26__13_18
 
== versiunea 2016226 ==
2016_09_30__17_14
 
== versiunea 2016227 ==
2016_10_03__12_17
 

fixat posibil inchipuit bug cu un mp55 pe windows . Nu stiu daca chiar conteaza ce i-am facut dar acum merge .

== versiunea 2016228 ==
2016_10_03__12_46
 
== versiunea 2016229 ==
2016_10_03__13_12


 
== versiunea 2016230 ==
2016_10_03__13_34
 
== versiunea 2016231 ==
2016_10_04__17_05
 
== versiunea 2016232 ==
2016_10_04__17_28
 
== versiunea 2016233 ==
2016_10_04__18_04
 
== versiunea 2016234 ==
2016_10_07__12_07
 
== versiunea 2016235 ==
2016_10_11__20_01
 
== versiunea 2016236 ==
2016_10_11__20_04
 
== versiunea 2016237 ==
2016_10_12__12_06
 
== versiunea 2016238 ==
2016_10_18__16_44
 
== versiunea 2016239 ==
2016_10_25__10_17
 
== versiunea 2016240 ==
2016_10_27__10_48
 
== versiunea 2016241 ==
2016_10_27__12_14
 
== versiunea 2016242 ==
2016_11_03__13_25
 
== versiunea 2016243 ==
2016_11_04__13_01
 
== versiunea 2016244 ==
2016_11_11__11_35
 
== versiunea 2016245 ==
2016_11_11__13_21
 
== versiunea 2016246 ==
2016_11_11__19_15
 
== versiunea 2016247 ==
2016_11_14__11_22
 
== versiunea 2016248 ==
2016_11_14__19_35
 
== versiunea 2016249 ==
2016_11_15__10_19
 
== versiunea 2016250 ==
2016_11_15__12_27
 
== versiunea 2016251 ==
2016_11_16__15_18
 
adaugat niste mesaje in ecranul de adaugare nir : userul va fi atentionat cand modifica o factura deja existenta , atat la deschiderea facturii cat si cand apasa save !

modulul de descarcare putea ajunge intr-o bucla infinita , cu niste loguri uriase ( la mine peste weekend a generat 17GB loguri si mi-a umplut diskul ) , numai din exceptii recursive. Am limitat si probabil si rezolvat definitiv problema .
In plus , modulul de descarcare se reconecteaza acum, la 10 secunde, in caz de eroare la baza date .

la merkur, adaugat coloana dateadded in promotii_clienti - se stie cand s-a adaugat fiecare card.
Modificat exportul si importul pt noua coloana . Daca la import nu exista campul dateadded in fisier, se va folosi data serverului .

== versiunea 2016252 ==
2016_11_22__19_26
 
== versiunea 2016253 ==
2016_11_23__15_48
 
== versiunea 2016254 ==
2016_11_24__12_20
 
== versiunea 2016255 ==
2016_12_02__10_55
 
== versiunea 2016256 ==
2016_12_02__12_48
 
== versiunea 2016257 ==
2016_12_02__12_58
 
== versiunea 2016258 ==
2016_12_02__15_21
 
== versiunea 2016259 ==
2016_12_02__15_51
 
== versiunea 2016260 ==
2016_12_02__16_16
 
== versiunea 2016261 ==
2016_12_02__16_31
 
== versiunea 2016262 ==
2016_12_06__13_01
 
== versiunea 2016263 ==
2016_12_06__13_03
 
== versiunea 2016264 ==
2016_12_07__15_16
 
== versiunea 2016265 ==
2016_12_09__12_44
 
== versiunea 2016266 ==
2016_12_09__14_44
 
== versiunea 2016267 ==
2016_12_09__14_51
 
== versiunea 2016268 ==
2016_12_12__14_59
 
== versiunea 2016269 ==
2016_12_13__13_16
 
== versiunea 2016270 ==
2016_12_20__18_30
 
== versiunea 2016270 ==
2017_01_03__06_50
 
== versiunea 2016271 ==
2017_01_09__17_43
 
== versiunea 2016272 ==
2017_01_11__17_37
 
== versiunea 2016273 ==
2017_01_16__13_53
 
== versiunea 2016274 ==
2017_01_16__15_41
 
== versiunea 2016275 ==
2017_01_17__15_31
 
== versiunea 2016276 ==
2017_01_17__15_32
 
== versiunea 2016277 ==
2017_01_31__10_59
 
== versiunea 2016278 ==
2017_02_01__12_24
 
== versiunea 2016279 ==
2017_02_03__17_41
 
== versiunea 2016279 ==
2017_02_06__19_00
 
== versiunea 2016280 ==
2017_02_06__19_16
 
== versiunea 2016281 ==
2017_02_07__13_43
 
== versiunea 2016282 ==
2017_02_09__14_06
 
== versiunea 2016283 ==
2017_02_10__07_56
 
== versiunea 2016284 ==
2017_02_10__11_27
 
== versiunea 2016285 ==
2017_02_10__13_43
 
== versiunea 2016286 ==
2017_02_10__13_47
 
== versiunea 2016287 ==
2017_02_18__17_06
 
== versiunea 2016288 ==
2017_02_20__15_04
 
== versiunea 2016289 ==
2017_02_20__19_02
 
== versiunea 2016290 ==
2017_02_21__16_20
 
== versiunea 2016291 ==
2017_03_06__15_47
 
== versiunea 2016292 ==
2017_03_08__15_22
 
== versiunea 2016293 ==
2017_03_09__14_37
 
== versiunea 2016294 ==
2017_03_09__15_01
 
== versiunea 2016295 ==
2017_03_23__19_42
 
== versiunea 2016296 ==
2017_03_28__14_07
 
== versiunea 2016297 ==
2017_04_11__20_30
 
== versiunea 2016298 ==
2017_04_19__17_48
 
== versiunea 2016352 ==
2017_05_01__13_34
 
== versiunea 2016353 ==
2017_05_15__23_33
 
== versiunea 2016354 ==
2017_05_16__22_23
 
== versiunea 2016355 ==
2017_05_16__22_24
 
== versiunea 2016356 ==
2017_05_16__22_29
 
== versiunea 2016357 ==
2017_05_17__22_09
 
== versiunea 2016358 ==
2017_05_18__18_03
 
== versiunea 2016359 ==
2017_05_19__14_10
 
== versiunea 2016360 ==
2017_05_30__15_52
 
== versiunea 2016361 ==
2017_05_31__00_03
 
== versiunea 2016362 ==
2017_05_31__12_20
 
== versiunea 2016363 ==
2017_06_01__08_23
 
== versiunea 2016364 ==
2017_06_01__11_28
 
== versiunea 2016365 ==
2017_06_02__13_47
 
== versiunea 2016366 ==
2017_06_13__11_35
 
== versiunea 2016367 ==
2017_06_14__14_06
 
== versiunea 2016368 ==
2017_06_15__17_49
 
== versiunea 2016369 ==
2017_06_15__17_52
 
== versiunea 2016370 ==
2017_06_21__11_25
 
== versiunea 2016371 ==
2017_06_28__16_23
 
== versiunea 2016372 ==
2017_07_03__11_29
 
== versiunea 2016373 ==
2017_07_03__16_28
 
== versiunea 2016374 ==
2017_07_13__18_15
 
== versiunea 2016375 ==
2017_07_14__13_18
 
== versiunea 2016376 ==
2017_07_14__17_52
 
== versiunea 2016377 ==
2017_07_17__15_09
 
== versiunea 2016378 ==
2017_07_18__17_29
 
== versiunea 2016379 ==
2017_07_18__18_02
 
== versiunea 2016380 ==
2017_07_20__15_47
 
== versiunea 2016381 ==
2017_07_25__10_11
 
== versiunea 2016382 ==
2017_07_25__10_37
 
== versiunea 2016383 ==
2017_07_31__15_37
 
== versiunea 2016384 ==
2017_07_31__16_00
 
== versiunea 2016385 ==
2017_07_31__16_06
 
== versiunea 2016386 ==
2017_07_31__16_25
 
== versiunea 2016387 ==
2017_07_31__17_06
 
== versiunea 2016388 ==
2017_08_03__11_41
 
== versiunea 2016389 ==
2017_08_04__15_21
 
== versiunea 2016390 ==
2017_08_04__15_21
 
== versiunea 2016391 ==
2017_08_04__15_22
 
== versiunea 2016392 ==
2017_08_07__17_56
 
== versiunea 2016393 ==
2017_08_08__10_54
 
== versiunea 2016394 ==
2017_08_08__13_58
 
== versiunea 2016394 ==
2017_08_08__16_04
 
== versiunea 2016395 ==
2017_08_08__16_05
 
== versiunea 2016396 ==
2017_08_08__16_23
 
== versiunea 2016397 ==
2017_08_08__16_26
 
== versiunea 2016398 ==
2017_08_08__16_42
 
== versiunea 2016399 ==
2017_08_09__14_11
 
== versiunea 2016400 ==
2017_08_09__16_57
 
== versiunea 2016401 ==
2017_08_09__17_13
 
== versiunea 2016402 ==
2017_08_11__17_20
 
== versiunea 2016403 ==
2017_08_11__17_21
 
== versiunea 2016404 ==
2017_08_11__17_41
 
== versiunea 2016405 ==
2017_08_14__18_11
 
== versiunea 2016406 ==
2017_08_24__11_04
 
== versiunea 2016407 ==
2017_08_29__12_17
 
== versiunea 2016408 ==
2017_08_29__16_58
 
== versiunea 2016409 ==
2017_08_30__10_46
 
== versiunea 2016410 ==
2017_09_07__14_03
 
== versiunea 2016411 ==
2017_09_12__09_55
 
== versiunea 2016412 ==
2017_09_13__11_38
 
== versiunea 2016413 ==
2017_09_13__14_50
 
== versiunea 2016414 ==
2017_09_13__17_55
 
== versiunea 2016415 ==
2017_09_18__13_52
 
== versiunea 2016416 ==
2017_09_20__17_55
 
== versiunea 2016417 ==
2017_09_20__18_15
 
== versiunea 2016418 ==
2017_09_20__18_28
 
== versiunea 2016419 ==
2017_09_20__18_52
 
== versiunea 2016420 ==
2017_09_21__11_02
 
== versiunea 2016421 ==
2017_09_21__11_35
 
== versiunea 2016422 ==
2017_09_22__12_55
 
== versiunea 2016423 ==
2017_09_26__17_26
 
== versiunea 2016424 ==
2017_09_26__17_41
 
== versiunea 2016425 ==
2017_10_02__16_12
 
== versiunea 2016426 ==
2017_10_03__11_34
 
== versiunea 2016427 ==
2017_10_03__14_44
 
== versiunea 2016428 ==
2017_10_09__09_58
 
== versiunea 2016429 ==
2017_10_11__11_05
 
== versiunea 2016430 ==
2017_10_12__10_04
 
== versiunea 2016431 ==
2017_10_12__10_16
 
== versiunea 2016432 ==
2017_10_12__10_35
 
== versiunea 2016433 ==
2017_10_12__14_34
 
== versiunea 2016434 ==
2017_10_13__13_38
 
== versiunea 2016434 ==
2017_10_25__09_32
 
== versiunea 2016434 ==
2017_10_25__14_14
 
== versiunea 2016435 ==
2017_10_25__17_46

MODIFICARI MENIURI :

La meniuri se poate adauga produs cu pretul -1 , caz in care se va folosi pretul de vanzare al produsului respectiv (ex daca am 100 de ingrediente CU PRETURI DIFERITE, la alegere, pot sa adaug toata categoria, cu pret -1.
Functioneaza pe : restaurant,fastfood,livrari,deverFoodPda.  !!!! NU functioneaza asta pe deverFoodTablet . !!!

configurare noua : meniuriMultipleSelectionAllowed : daca e pus pe 1 atunci la fiecare alegere se pot alege mai multe produse .

se poate deselecta un produs selectat ( gen la o optiune sa nu am nici un produs ) . Inainte daca selectai ceva, pe optiunea respectiva nu mai puteai sa "stergi"

se poate da marcaj automat dupa fiecare meniu : livrariMarcajAfterMeniuAdd si touchMarcajAfterMeniuAdd ( ambele implicit 0 )


LIVRARI :
optiune noua : livrariShowSectiiInSelector (default 1 = "ca pana acum") , daca e pusa pe 0 se vad doar categoriile ( ca la fastfood ) - util de ex pe ecrane de 15"


== versiunea 2016436 ==
2017_10_28__15_43
 
== versiunea 2016437 ==
2017_11_02__15_43
 
== versiunea 2016438 ==
2017_11_06__19_57
 
== versiunea 2016439 ==
2017_11_07__20_02
 
== versiunea 2016440 ==
2017_11_08__18_44
 
== versiunea 2016441 ==
2017_11_09__19_56
 

la categorii afisam mereu toate campurile ( culori, la kg etc )

touch6 accepta acum si scanare de coduri de bare generate de cantarul de etichete .

configurare noua : tipPlataFixedValues ( ex: tichet=10.5|11|13.7;voucher=20|50 ) - pt tipul de plata respectiv apare un dialog in care se pot alege numarul de tichete din fiecare valoare

Corelat cu bifa pe "document de plata" din modficiari/tipuri de plata, aceasta configurare va introduce o verificare suplimentara asupra totalului platilor de pe bon
( daca avem cel putin un tip de plata de tipul asta, verificare stricta la valoare plata/comanda )

La adaugare prin filtrul de cautare produse, se fac si verificarile de cantitate intreaga/fractionata cu legatura cu "Export cantar"



== versiunea 2016442 ==
2017_11_09__20_03
 
== versiunea 2016443 ==
2017_11_11__12_10
 
== versiunea 2016444 ==
2017_11_11__14_11
 
== versiunea 2016445 ==
2017_11_12__07_37
 
== versiunea 2016446 ==
2017_11_13__10_33
 
== versiunea 2016447 ==
2017_11_14__11_14
 
== versiunea 2016448 ==
2017_11_20__16_10
 
modul shop : sortarea categoriilor din stanga se face dupa ordinea fortata definita in ecranul Modificari-Categorii ( inainte era dupa sectie + alfabetic )
Daca vreti sa ramaneti la vechiul comportament : in module_shop.xml se adauga parametrul : -categoriiUseForcedOrder cu valoarea false

La incarcare casa exista o suma maxima (incarcaCasaMaxValue , default 1000) , peste aceasta suma nu se permite operatiunea

== versiunea 2016449 ==
2017_11_27__09_22
 

Exista acum o optiune care permite un acelasi client pers fizica, nascut in aceeasi zi de nastere : clientPersFiziceAllowSameNameAndBirthDay (valoare default 0 - nu se permite) .
== versiunea 2016450 ==
2017_11_27__15_32
 
== versiunea 2016451 ==
2017_11_28__11_40

close reports :
1. bugfix : daca autorizam ca admin si raportul era definit ca operator, nu se tiparea . acum daca autorizam ca admin se tipareste si pt admin si pt operator .
2. Daca zPrintSalesSectiiFilter este setat, se tipareste cate un raport pe fiecare sectie si se include numele sectiei in titlul raportului ( inainte nu se includea )


== versiunea 2016452 ==
2017_11_30__12_00
 
Bonul de marcaj : Cand se schimba ordinea de servire, pe linia de separare care pana acum era o linie goala, se tiparesc ---- pt o demarcare mai usor de inteles a felurilor .

Adaugat functia de retur si in livrari ( netestata insa !! )


== versiunea 2016453 ==
2017_11_30__14_24
 
Am adaugat functia de verificare nota si in optiuni ( de ex se poate folosi si din module_restaurant ! )

== versiunea 2016454 ==
2017_11_30__14_37
 
bugfix (minor dar care poate ridica intrebari) : la inchiderea de zi se tinea cont de ultima inchidere de zi , la care se adauga o luna - pentru tura in curs . Cateodata (ex: tura precendenta era din 2007) , la prima inchidere de zi rapoartele ieseau eronate .
Am facut ca sa se adauge 1 luna fata de DATA CURENTA , nu fata de inchiderea de zi precedenta .


== versiunea 2016455 ==
2017_12_01__09_52
 
== versiunea 2016456 ==
2017_12_03__23_58
 
adaugat filtru de furnizori in raportul contabilitate - intrari furnizori

imbunatatit functia de import produse xls ( in cazul re-importului de produse in vederea actualizarii de pret, de ex )

corectii la importul de produse si stocuri din "deverBarcodeApp"

== versiunea 2016457 ==
2017_12_04__00_23
== versiunea 2016458 ==
2017_12_04__00_25
 
== versiunea 2016459 ==
2017_12_04__15_53
 
la clienti veniti de pe alte statii, se face si update la combo-urile din gui.


== versiunea 2016460 ==
2017_12_04__15_54
 
la adaugare cota tva noua, se adauga acum si codul de casa marcat ( inainte nu se salva si codul de casa marcat la adaugare tva )

Pentru societatile neplatitoare de tva, ( config tvaProcent = 0 ) , programul poate calcula automat valoarea (val achz + val tva) , daca se alege tva-ul corect al produsului in prealabil .

== versiunea 2016461 ==
2017_12_04__17_51
 
la incarcarea conturilor se folosesc valorile predefinite de la tipurile de plata ( config : tipPlataFixedValues . ex : tipPlata1=10.5|11|13.7;tipPlata2=13.7|23 )

== versiunea 2016462 ==
2017_12_04__18_19
 
== versiunea 2016463 ==
2017_12_05__17_38
 
== versiunea 2016464 ==
2017_12_05__17_46
 
Functie noua : Stocuri-stocuri-Avansate-Export catalog terminal inventariere - se exporta un fisier ce poate fi incarcat in terminale de inventariere ( ex Sedona mobile pos offline ) :
    vezi configurari : terminalInventariere*

== versiunea 2016465 ==
2017_12_07__20_05
 
== versiunea 2016466 ==
2017_12_08__16_16
 
Import inventar faptic din terminal inventariere ( Stocuri-DiferenteInventar-Incarca faptic ... )

== versiunea 2016467 ==
2017_12_09__11_24
 
toate modulele de productie : parametru nou : -sorteazaDupaSectie true/false , daca e pe true se sorteaza dupa sectie + produs . Altfel se sorteaza ca si pana acum ( in ordinea sosirii produselor )

== versiunea 2016468 ==
2017_12_09__12_18
 
== versiunea 2016469 ==
2017_12_11__16_22
 
== versiunea 2016470 ==
2017_12_12__11_59
 
== versiunea 2016471 ==
2017_12_12__12_06
 
== versiunea 2016472 ==
2017_12_12__12_07
 
== versiunea 2016472 ==
2017_12_13__10_03
 
== versiunea 2016473 ==
2017_12_13__11_53

actualizat versiuena de asterisk-java la 1.1.0 beta ( pt instalarea terra dinamic sau alte integrari cu centrale asterisk )
 
== versiunea 2016474 ==
2017_12_28__11_33


 
== versiunea 2016475 ==
2017_12_28__11_35
 
== versiunea 2016476 ==
2018_01_04__12_30
 
== versiunea 2016477 ==
2018_01_04__14_49
 
== versiunea 2016478 ==
2018_01_04__14_54
 
== versiunea 2016479 ==
2018_01_16__16_17
 
== versiunea 2016480 ==
2018_01_19__12_08
 
== versiunea 2016481 ==
2018_01_19__12_10
 
== versiunea 2016482 ==
2018_01_30__18_13
 
== versiunea 2016483 ==
2018_01_30__19_02
 
Implementare driver casa marcat Partner ( driverul nou ) - P200 / P600 :

1. se foloseste fisierul samples/ecr/ecr_partner_drivernou_rezident.xml

    se presupune ca driverul se instaleaza in directorul partner din dever

    ( nu e testat, probabil vor trebui modificari la cai ( ecrItemsFile, ecrErrFile, ecrLogFile , ecrDirectory )

    Dupa ce ajungeti la un setup care merge bine, il vreau si eu .


2. sunt implementate SI NETESTATE urmatoarele comenzi : Sale, Retur , Discount VALORIC la PRODUS, Incarca/Descarca Casa, comentarii pe bon, Z, X .

Daca ceva nu merge am nevoie de fisierul generat (items.inp), de fisierul de log dever_...log , de fisierul de raspuns al casei .

== versiunea 2016484 ==
2018_01_31__10_00
 
== versiunea 2016485 ==
2018_02_01__13_50
 
addClientIfNotFound = ascunde "Asociere card" din Fidelizare clienti.


aplicatia online de management angajati merge si pe postgres , pe vers 2016.

    MANAGERUL DE ANGAJATI ONLINE trebuie adaugat in grupul 'Manager clienti management online' ( din Admin/Utilizatori )





== versiunea 2016486 ==
2018_02_02__18_06
 
== versiunea 2016487 ==
2018_02_03__13_22

setare default '' pe persoane_fizice . adresa

pe touch6 se poate lua valoarea incarcarii din cont direct din keypad

verificare suplimentara, dupa incarcarea de cont se cere din nou cardul daca comanda e goala ( sa nu ramana deschisa de la clientul dinainte ! )

 
== versiunea 2016488 ==
2018_02_05__09_50
 
se pot importa comenzi din wordpress+woocommerce+modul yth ( ipizza.ro ) -
codul barcode de produs poate avea orice lungime acum ( era limitat la 20 ) .

== versiunea 2016489 ==
2018_02_12__18_53
 
== versiunea 2016490 ==
2018_02_12__20_21
 
== versiunea 2016491 ==
2018_02_13__14_30
 
== versiunea 2016492 ==
2018_02_13__14_46

format nou pt tiparire pv inventariere ( conf/template_invetariere.odt )

functiile de productie cu inventar intermitent si de inventar cu terminal de inventariere, sunt disponibile acum doar la varianta gold. 

posibil fix la lista de servicii - hotel , + se tipareste si numele clientului


== versiunea 2016493 ==
2018_02_15__17_34
 
== versiunea 2016493 ==
2018_02_19__13_38
 
== versiunea 2016493 ==
2018_02_19__13_42
 
== versiunea 2016493 ==
2018_02_19__13_43
 
== versiunea 2016493 ==
2018_02_19__13_44
 
== versiunea 2016494 ==
2018_02_19__13_46

modul nou module_ccvalidator.xml : pentru ATM / validator de incarcare bani pt sistem cashless .  Ca si licenta e nevoie de aplicatia deverCanteenCashKiosk 

 
== versiunea 2016495 ==
2018_02_19__13_50
 
== versiunea 2016496 ==
2018_02_20__17_24
 
== versiunea 2016497 ==
2018_02_20__18_06


Modificari la cash kiosk : urmatoarele trebuie sa ajunga in conf/validator.properties, cu modificarile de rigoare inainte :

CASH_KIOSK_CREDIT_LABEL=Credit Continental:
CASH_KIOSK_CAS_LABEL=Numar CAS:

CASH_KIOSK_CONT_VALUE_MESSAGE={0}: {1}
== versiunea 2016498 ==
2018_02_21__07_19
 
== versiunea 2016499 ==
2018_02_21__08_18
 
== versiunea 2016500 ==
2018_02_21__08_37
 
== versiunea 2016501 ==
2018_02_21__09_13
 
== versiunea 2016502 ==
2018_02_21__09_24
 
== versiunea 2016503 ==
2018_02_21__09_38
 
== versiunea 2016504 ==
2018_02_21__17_58
 
== versiunea 2016505 ==
2018_02_23__10_29
 

facturare / adaugare factura : erau niste erori de calcul sper ca le-am rezolvat.
Se recomanda "FacturareRoundDecimals=2" ; pretul va fi cu 1 zecimala IN PLUS fata de configurare


fixat un bug in Raport Colectat / facturat pe categorii - la valoarea tva din facturi_emise_items se inmultea cu cantitatea - desi nu ar fi trb.

== versiunea 2016506 ==
2018_02_26__12_44
 
interfata noua pentru vanzare  : module_sale_nextgen.xml ( inclusa in food si shop frontoffice ) :

    * Se poate folosi pt: magazine, fastfood, chiar si restaurante ( dar nu l-am testat in scopul asta deocamdata , a fost facut initial pt shop )
    * A fost un pic reproiectata pt a oferi spatiu mai mult pe verticla ( pt monitoare wide de ex ) , si pt a elimina necesitatea tastaturii fizice . ( inca mai lucrez un pic la partea cu tastatura )
    * Permite cautare cu afisarea rezultatelor in selector [ se poate folosi tastatura virtuala onscreen EMBEDDED in soft - butonul KBD ]
    * Butoane de adaugare rapida +1 +5 , la ultimul produs NECANTARIBIL
    * In precomanda si comanda daca apas pe coloana cantitate , apare dialog pentru cantitatea NOUA / RAMASA ( nu "cat vreau sa scad" ca pana acum )
        * Daca cantitatea noua e mai mare decat cea existenta, se face stergere sau retur la total cantitea existenta, si TOATA cantitatea NOUA ajunge in precomanda .
    * Ascunde keypad-ul pt a face mai mult spatiu pe ecran
    * La produsele cantaribile apare automat dialog de cantitate [cu preluare automata de la cantar] , si cu calcul automat al valorii !!
    * Dialogurile de input numerice (ex incarca casa ) apar automat cu dialog de cantitate touch-friendly
    * La cod fiscal client apare automat tastatura virtuala onscreen .
    * Butoanele de actiune sunt aliniate vertical in dreapta , si daca cumva sunt prea multe se poate face scroll din rotita. ( urmeaza sa implementez un scroll "cu swipe" - android style )
    * Toate mesele din locatia respectiva apar in dreapta, pe verticala ( quickTableBar ) - inainte erau in partea de jos . Se poate dezactiva dk nu trb .
    * Este in beta dar ma astept sa mearga bine
    * Rezolutie recomandata 1280x1024, minima 1024x768 .
    * Neaparat trebuie incercata .

    * Astept feedback la cum merge / cum se vede ( cu poze va rog )
== versiunea 2016507 ==
2018_03_05__09_25
 
== versiunea 2016508 ==
2018_03_07__10_21
 
== versiunea 2016509 ==
2018_03_07__11_23
 
== versiunea 2016510 ==
2018_03_07__11_40
 
== versiunea 2016511 ==
2018_03_08__19_26
 
== versiunea 2016512 ==
2018_03_09__16_53
 
== versiunea 2016513 ==
2018_03_13__13_34
 
== versiunea 2016514 ==
2018_03_14__09_47

financiar - evidenta clienti si evidenta furnizori + financiar avansat/aged debtors : afiseaza in Combo-uri doar clientii activi ( inainte apareau si cei stersi )

 
== versiunea 2016515 ==
2018_03_14__18_04
 
[posibil 99%] fix la tiparirea cu tva eronat (hotel maria/miraj)

== versiunea 2016516 ==
2018_03_14__18_16
 
== versiunea 2016517 ==
2018_03_16__11_46
 

la tipPlataFixedValues se pot folosi si valori de genul ?1,?2 etc , care vor permite userului sa defineasca valori noi, care vor ramane apoi in program pana la restart.

fiscalwire merge acum la penitenciare ( fixat o sintaxa deosebita intalnita in SellText )

== versiunea 2016518 ==
2018_03_19__14_18
 

touch10 (sale_nextgen) : tichete (tipplatafixedvalue) : posibilitatea de a adauga direct valoarea ( de ex daca valoarea nu e definita, sau daca utilizatorul are tichet de masa electronic )
- in cadrul aceleiasi comenzi, la apasari multiple ale butonului tichet , se pastreaza valoarile si numarul de tichete introdus anterior pe comanda respectiva.

Ca sa apara valorile "user defined", configurarea tipPlataFixedValues ar trb sa arate cam asa : 'tichet=9.41|9.57|10.00|11.00|12.00|13.00|14.00|15.00|?1|?2|?3' ( valorile user defined sunt date de ?1, ?2 etc )


touch10 / sale nextgen : in ecranul de editare valoare plata, daca nu completez nimic dar dau ok/enter, se ia valoarea completa de plata ; Pentur anulare folositi CANCEL
+ restul e mai vizibil .

== versiunea 2016519 ==
2018_03_20__12_22
 
touch10 : revizuit restul : daca platile depasesc valoarea notei, si tipul de plata curent este document de plata, utilizatorul este atentionat ca nu poate da rest, si sa verifice platile sau sa adauge produse in plus


== versiunea 2016520 ==
2018_03_20__16_08
 

Edit nir + curs valutar : nu se mai modifica decat pretul de achizitie si tva-ul de achizitie

Tip imprimanta GenericLabelPrinter tipareste si nota ( fisierul conf/nota_lp50.txt ) . Campurile sunt similare ca la "bon" ( conf/bon_lp50.txt ) , insa doar urmatoarele sunt folosite aici :
%%item_no%% : "exemplar client" "exemplar sofer" etc ( se preia setarea din configurare/notaExemplare
%%client_address%%
%%client_phone%%
%%client_name%%
%%order_id%% - numar comada
%%order_details%%
%%total_order%%


== versiunea 2016521 ==
2018_03_20__19_14
 
reparat Raport Clienti pe zile

== versiunea 2016522 ==
2018_03_20__19_22
 
== versiunea 2016523 ==
2018_03_21__11_07
 
== versiunea 2016524 ==
2018_03_22__14_26
 
touch10 :
    buton nou qty : deschide o tastatura numpad onscreen, pt introducerea usoara a cantitatii .
    se poate introduce [<qty>* din tastatura numerica fie onscreen fie fizica]<cod produs><enter> -> se adauga produsul cu codul resp, in cantitatea data
    se poate introduce +89<enter> -> se adauga cantitatea 89 la ultimul produs FARA PRET FRACTIONAT , adaugat anterior ( functioneaza similar cu butoanele +1 +5 )

    tastatura qwerty precum si numpad, isi tin minte pozitia si dimensiunile ( daca userul le muta / redimensioneaza ) , pana la restart soft .


== versiunea 2016525 ==
2018_03_23__10_10
 
touch10 : se poate folosi numpad-ul si pt a adauga produse din selectorul de produse ( touch ) . ex: 2 sau 2* , apoi apas pe produs.

== versiunea 2016526 ==
2018_03_23__16_02

rezolvat un bug la nir-uri - daca societatea era platitoare de tva, si se modifica o factura de la NEPLATITORI de tva, pentru produsele MARFURI, tva-ul AFERENT ADAOS COMERCIAL, afisat in ecran era 0 ( tva-ul de achizitie , in loc de tva-ul pe categorie marfii ) . DACA SE MAI SI PRINTA, iesea o diferenta intre nir-ul initial si cel modificat.

Am rezolvat , ACUM se foloseste tva-ul DE PE CATEGORIE. ASTA IMPLICA si posibilitatea ca , daca o marfa are TVA 9 azi, se tipareste NIR , se modifica tva-ul la 19, se editeaza NIR, atunci va aparea o diferenta ( ceea ce e normal si logic ) .

TVA-ul la materii prime nu suferea nici o problema pt ca se refera doar la tva-ul furnizorului.




== versiunea 2016527 ==
2018_03_30__11_26
 
== versiunea 2016528 ==
2018_04_05__09_07
 
== versiunea 2016529 ==
2018_04_16__19_58

bugfixes productie simple ( marius )

 
== versiunea 2016530 ==
2018_04_18__15_05
 
== versiunea 2016531 ==
2018_04_25__09_29
 
inceput imbunatatiri pt tiparit chitanta si factura pe tableta (deverFoodTablet). ATENTIE, posibil sa se rupa sincronizarea , daca nu mai merge faceti rollback ( la librarii )

fixat cateva bugs

prelungit modul tip plata changer

== versiunea 2016532 ==
2018_04_27__13_10
 
adaugat optiune "comanda aprovizionare" in touch2,6,10 . ( la optiuni ) . Trebuie activata cu showComandaAprovizionareButton .
ATENTIE : este necesar ca comanda de aprovizionare sa fie achitata cu OP altfel riscati sa se emita bon fiscal.

== versiunea 2016533 ==
2018_04_27__16_43
 
== versiunea 2016534 ==
2018_05_07__15_16
 
== versiunea 2016535 ==
2018_05_09__05_11
 
== versiunea 2016536 ==
2018_05_09__17_55
 
== versiunea 2016537 ==
2018_05_10__16_37
 
== versiunea 2016538 ==
2018_05_17__09_27
 
== versiunea 2016539 ==
2018_05_17__12_19

ACEASTA VERSIUNE ESTE IN TESTE !!!

NU FACETI UPDATE PANA NU PRIMITI DE LA NOI UN OK IN ACEST SENS !!!!!


ce e nou :

VERSIUNE COMPLIANT GDPR = Toate datele din tabelele persoane fizice, buletine si pasapoarte sunt criptate .
    ( in curand si FISIERELE atasate in baza vor fi criptate )

Fiecare instalare de program va genera AUTOMAT o cheie de criptare / decriptare, pe care o va salva in directorul $USER_HOME/dever , cu numele "key"

Cheia de criptare/decriptare TREBUIE SA STEA NUMAI LA CLIENT , si clietnul trb sa faca backup si sa fie RESPONSABIL DE PIERDEREA SAU ALTERAREA CHEII, altfel isi pierde IREMEDIABIL DATELE.

Conform GDPR, nici Dever Soft nici distribuitorii nu au voie sa pastreze cheia de criptare / decriptare , pentru clienti.
( teoretic se poate dar asta implica sa scrieti in procedura de audit trb asta, si eu va recomand sa pastrati lucrurile simple si cat mai putina raspundere - de fapt GDPR este "cine raspunde daca shit hits the fan" ).


Daca clientul are mai multe locatii cu sincronizare, atunci cheia treb sa fie ACEEASI pe toate computerele implicate .
( se poate copia pur si simplu , dar NU O EDITATI , copiati fisierul direct )

Cheia nu se poate stoca in baza pe motiv de hacking potential .

Cheia este la randul ei criptata .


Informatiile din tabelele persoane fizice, buletine si pasapoarte ( in curand si fisierele stocate in baza ) , vor fi criptate pe masura ce se adauga / editeaza.

Pentru a cripta datele EXISTENTE, trebuie activat modulul module_gdprcrypt.xml , care se poate deactiva dupa ce toate datele au fost criptate .


Modulul gdprcrypt cripteaza toate datele odata , e posibil /f. probabil sa nu se poata folosi programul in acest timp .

Dupa ce a terminat, programul se va inchide singur, fara mesaje de dialog, doar in loguri .
Dupa asta, dezactivati modulul si programul va porni normal .


== versiunea 2016540 ==
2018_05_25__12_03
 
== versiunea 2016541 ==
2018_05_25__12_58
 
== versiunea 2016542 ==
2018_05_25__15_33
 
== versiunea 2016543 ==
2018_05_25__16_48
 
== versiunea 2016544 ==
2018_06_01__16_07
 
== versiunea 2016545 ==
2018_06_02__13_15
 
== versiunea 2016545 ==
2018_06_06__17_11
 
== versiunea 2016546 ==
2018_06_06__17_15
 
== versiunea 2016547 ==
2018_06_06__17_20
 
== versiunea 2016548 ==
2018_06_06__17_22
 
== versiunea 2016549 ==
2018_06_06__17_32
 
== versiunea 2016550 ==
2018_06_07__15_59
 
== versiunea 2016551 ==
2018_06_07__16_11
 
== versiunea 2016559 ==
2018_06_11__09_43
 
== versiunea 2016560 ==
2018_06_11__12_48
 
== versiunea 2016561 ==
2018_06_11__15_42
 
== versiunea 2016562 ==
2018_06_11__15_56
 
== versiunea 2016564 ==
2018_06_11__16_28
 
== versiunea 2016566 ==
2018_06_11__17_16
 
== versiunea 2016567 ==
2018_06_11__17_26
 
== versiunea 2016578 ==
2018_06_11__18_45
 
== versiunea 2016580 ==
2018_06_11__19_07
 
== versiunea 2016581 ==
2018_06_12__16_07

gdpr working

== versiunea 2016582 ==
2018_06_13__19_36
 

fixat viteza incarcare backoffice - in special pt marsil dar e general valabila pt toate afacerile cu multe produse

mp55 working, dp25 (gen3) working, gen4 working

== versiunea 2016583 ==
2018_06_18__19_18
 
== versiunea 2016584 ==
2018_06_19__12_31
 
== versiunea 2016585 ==
2018_06_20__11_27
 
== versiunea 2016586 ==
2018_06_20__11_47
 
== versiunea 2016588 ==
2018_06_20__13_15
 
== versiunea 2016589 ==
2018_06_20__15_07
 
== versiunea 2016590 ==
2018_06_20__15_26
 
== versiunea 2016591 ==
2018_06_20__18_07
 
== versiunea 2016593 ==
2018_07_11__10_18
 
== versiunea 2016594 ==
2018_07_11__11_40
 
== versiunea 2016595 ==
2018_07_11__14_14
 
== versiunea 2016596 ==
2018_07_11__15_22
 
== versiunea 2016597 ==
2018_07_11__16_34
 
== versiunea 2016598 ==
2018_07_19__10_47
 
== versiunea 2016599 ==
2018_07_24__13_50
 
== versiunea 2016600 ==
2018_09_10__13_01
 
== versiunea 2016601 ==
2018_11_13__13_29
 
== versiunea 2016602 ==
2018_11_16__09_21
 
== versiunea 2016603 ==
2018_12_12__09_59
 
modificat algorimul de calcul la nir-uri , ca sa acopere si cazul ( tva furnizor 9% , tva vanzare 5% ) - practic acest caz nu a existat inainte de aparitia acestei exceptii de 5% .


== versiunea 2016604 ==
2018_12_12__12_57
 
== versiunea 2016605 ==
2018_12_14__11_09
 
== versiunea 2016606 ==
2018_12_14__13_25
 
== versiunea 2016608 ==
2018_12_14__14_07
 
== versiunea 2016609 ==
2018_12_17__09_31
 
== versiunea 2016610 ==
2018_12_21__10_47
 
== versiunea 2016611 ==
2019_01_09__17_07
 
== versiunea 2016612 ==
2019_01_11__11_32
 
== versiunea 2016613 ==
2019_01_15__14_11
 
== versiunea 2016614 ==
2019_01_22__12_18
 
== versiunea 2016615 ==
2019_01_23__11_54
 
== versiunea 2016616 ==
2019_01_30__10_31
 
== versiunea 2016617 ==
2019_02_12__11_32
 
== versiunea 2016618 ==
2019_02_13__11_44
 
== versiunea 2016619 ==
2019_02_18__11_28
 
== versiunea 2016620 ==
2019_02_18__11_44
 
== versiunea 2016622 ==
2019_02_18__12_18
 
== versiunea 2016624 ==
2019_02_27__19_14
 
== versiunea 2016625 ==
2019_03_04__12_15
 
== versiunea 2016626 ==
2019_03_04__17_24
 
== versiunea 2016627 ==
2019_03_08__11_30
 
== versiunea 2016628 ==
2019_04_01__16_13
 
== versiunea 2016629 ==
2019_04_01__16_55
 
== versiunea 2016633 ==
2019_04_24__19_05
 
== versiunea 2016635 ==
2019_08_01__16_58
 
== versiunea 2016636 ==
2019_08_02__15_32
 
== versiunea 2016637 ==
2019_08_02__15_47
 
== versiunea 2016638 ==
2019_08_02__18_16
 
== versiunea 2016639 ==
2019_08_06__16_29
 
== versiunea 2016640 ==
2019_08_07__15_43
 
== versiunea 2016641 ==
2019_08_09__07_45
 
== versiunea 2016642 ==
2019_08_14__14_01
 
== versiunea 2016643 ==
2019_08_20__13_42
 
== versiunea 2016644 ==
2019_08_21__12_31
 
== versiunea 2016645 ==
2019_08_21__17_12
 
== versiunea 2016651 ==
2019_08_23__10_20
 
== versiunea 2016653 ==
2019_08_23__13_05
 
== versiunea 2016656 ==
2019_08_23__17_27
 
== versiunea 2016658 ==
2019_08_26__11_55
 
== versiunea 2016659 ==
2019_08_27__12_52
 
== versiunea 2016660 ==
2019_08_28__11_24
 
== versiunea 2016661 ==
2019_08_28__17_01
 
== versiunea 2016662 ==
2019_08_28__18_17
 
== versiunea 2016663 ==
2019_08_29__21_11
 
== versiunea 2016664 ==
2019_09_03__13_50
 
== versiunea 2016665 ==
2019_09_03__13_59
 
== versiunea 2016666 ==
2019_09_03__14_10
 
== versiunea 2016667 ==
2019_09_23__13_01
 
== versiunea 2016668 ==
2019_09_23__16_06
 
== versiunea 2016669 ==
2019_09_23__16_39
 
== versiunea 2016670 ==
2019_09_25__13_13
 
== versiunea 2016671 ==
2019_10_23__16_53
 
== versiunea 2016672 ==
2019_10_23__17_30
 
== versiunea 2016673 ==
2019_10_24__12_56
 
== versiunea 2016674 ==
2019_10_28__14_48
 
== versiunea 2016675 ==
2019_11_09__11_52
 
== versiunea 2016676 ==
2019_11_13__17_31
 
== versiunea 2016677 ==
2019_11_15__16_09
 
== versiunea 2016678 ==
2019_11_16__14_29
 
== versiunea 2016679 ==
2019_11_16__15_31
 
== versiunea 2016680 ==
2019_11_18__16_22
 
== versiunea 2016682 ==
2019_11_18__18_27
 
== versiunea 2016683 ==
2019_11_18__18_44
 
== versiunea 2016685 ==
2019_11_28__15_54
 
== versiunea 2016686 ==
2019_12_04__18_05
 
== versiunea 2016687 ==
2019_12_05__11_35
 
== versiunea 2016688 ==
2019_12_05__14_01
 
== versiunea 2016689 ==
2019_12_06__10_18
 
== versiunea 2016690 ==
2019_12_09__10_10
 
== versiunea 2016691 ==
2019_12_09__16_33
 
== versiunea 2016692 ==
2019_12_09__17_29
 
== versiunea 2016693 ==
2019_12_09__17_53
 
== versiunea 2016694 ==
2019_12_09__18_29
 
== versiunea 2016695 ==
2019_12_11__07_27
 
== versiunea 2016696 ==
2019_12_11__08_01
 
== versiunea 2016697 ==
2019_12_11__11_54
 
== versiunea 2016698 ==
2019_12_11__16_53
 
== versiunea 2016699 ==
2019_12_12__12_16
 
== versiunea 2016700 ==
2019_12_13__12_01
 
== versiunea 2016701 ==
2019_12_13__13_15
 
== versiunea 2016702 ==
2019_12_17__12_01
 
== versiunea 2016703 ==
2019_12_17__16_19
 
== versiunea 2016704 ==
2019_12_18__18_45
 
== versiunea 2016705 ==
2020_01_27__18_11
 
== versiunea 2016706 ==
2020_02_04__13_29
 
== versiunea 2016707 ==
2020_02_12__15_15
 
== versiunea 2016708 ==
2020_02_12__18_20
 
== versiunea 2016709 ==
2020_02_14__13_52
 
== versiunea 2016710 ==
2020_02_17__19_02
 
== versiunea 2016711 ==
2020_02_19__15_51
 
== versiunea 2016712 ==
2020_02_20__14_25
 
== versiunea 2016713 ==
2020_02_22__16_21
 
== versiunea 2016714 ==
2020_02_24__17_18
 
== versiunea 2016715 ==
2020_02_24__20_22
 
== versiunea 2016716 ==
2020_02_26__14_34
 
== versiunea 2016717 ==
2020_03_05__10_05
 
atribut produse nou : Afisat la

Valori posibile SelectorProduse sau Meniu, cu urmatoarele sintaxe :

1. SelectorProduse -> produsul se va vedea doar in selector ( nu si in meniu ) - se aplica si la programul desktop si la foodpda sau devertablet
2. Meniu -> produsul se va vedea doar in meniu ( nu si in selector ) - se aplica si la programul desktop si la foodpda sau devertablet
3. SelectorProduse,Meniu -> produsul se va vedea atat in selector cat si in meniu
4. SelectorProduse=false,Meniu=true -> alta sintaxa
5. daca se lasa gol, se vede atat in selector cat si in meniu . Aici intervine observatia ca daca pe viitor apar alte valori posibile, toate valorile posibile se folosesc cand configurarea nu e completata
Produsele noi primesc implicit sintaxa 5 .

Daca sintaxa este eronata , produsul nu va aparea nicaieri , si se afiseaza Warninguri in log .

== versiunea 2016718 ==
2020_03_05__10_27
 
== versiunea 2016719 ==
2020_03_07__10_46
 
== versiunea 2016721 ==
2020_03_07__17_04
 
== versiunea 2016722 ==
2020_03_10__16_34
 
== versiunea 2016723 ==
2020_03_10__17_36
 
== versiunea 2016724 ==
2020_03_20__12_33
 
== versiunea 2016725 ==
2020_03_24__15_33
 
== versiunea 2016726 ==
2020_03_24__18_00
 
== versiunea 2016727 ==
2020_03_25__14_10
 
configurare noua : livrariDataOraLivrarePattern , implicit HH:mm

Daca punem aici de exemplu :  yyyy-MM-dd HH:mm , am putea seta ORA si ZIUA de livrare .

Daca punem yyyy-MM-dd atunci se poate seta doar ziua , dar configurarea productieViewAheadMinutes ar trebui sa fie 0 !! ( pt ca comanda sa apara pe ziua dorita, altfel va aparea cu 1 zi in urma ! )

Oricum daca ajungem sa lucram cu Ziua de livrare , productieViewAheadMinutes ar trebui sa fie 0  !

Asta va aparea in dialogul de "ora livrare" , si userul trebuie sa modifice conform comenzii


adaugat optiune -automarcaj in modulul de livrari


== versiunea 2016728 ==
2020_04_10__10_41
 

adaugat campul %%order_id%% in print nota in pdf printer

== versiunea 2016730 ==
2020_04_10__17_16
 
== versiunea 2016732 ==
2020_04_12__01_55
 
== versiunea 2016733 ==
2020_04_13__10_24
 
== versiunea 2016735 ==
2020_04_28__17_55
 
== versiunea 2016736 ==
2020_05_14__16_33
 
== versiunea 2016737 ==
2020_06_03__11_17
 
== versiunea 2016739 ==
2020_06_04__12_48
 
== versiunea 2016740 ==
2020_06_12__13_24
 
== versiunea 2016741 ==
2020_06_15__13_52
 
== versiunea 2016742 ==
2020_06_15__13_58
 
== versiunea 2016743 ==
2020_06_16__14_51
 
== versiunea 2016744 ==
2020_06_17__17_00
 
== versiunea 2016745 ==
2020_06_17__17_29
 
uipath export in saga : export monetar :

Se exporta in fisier cvs sub forma :
data	|nr_doc	|cont_debit	|cont_credit	|total	|explicatie	|tip_nota_cont
23.04.2020	|123	|5311	|5125	|300	|monetar cash 23.04.2020	|Casa
24.04.2020	|456	|5311	|5125	|500	|monetar cash 24.04.2020	|Casa
25.04.2020	|789	|5311	|5125	|600	|monetar cash 25.04.2020	|Casa

conturile nu sunt inlocuite de dever, ele vin din fisierul template ; la fel si tip_nota_cont, vine tot din fisierul template .

Configurarea contaExportUiPathExportMonetarFilenameGrupareKey are 2 parti ( regulaNumeFisierTemplate=regulaLinie ) . ex :

#[{locatie}_]#{tipplata}=#{locatie} #{tipplata} #{data}


--> CONFIGURAREA 1 - numele fisierului template :

Datorita acestui lucru , pentru a putea de ex sa avem conturi diferite , sau "tip_nota_cont" diferit, in anumite situatii , trebuie sa folosim mai multe fisiere template .



Regula de nume fisier se regleaza prin

a. nu trebuie sa aiba spatii in denumire, de aici _

ex: pentru valoarea #{locatie}_#{tipplata}  dever va cauta template-urile conf/export_uipath/conta/monetar/import_monetar_items_#{locatie}_#{tipplata}.csv

(evident #{locatie} si #{tipplata} vor fi inlocuite la runtime ) .



b. Fisierul template in acest caz va fi import_monetar_items_terasa_cash.csv sau import_monetar_items_salon_card.csv etc  ( cate unul pt produsul cartezian tipplata x locatii ) .



c. Daca de ex nu doriti sa grupati dupa locatie (cazul mai simplu dar cateodata nu e suficient), ati putea folosi doar  #{tipplata}

iar fisierele template ar fi import_monetar_items_cash.csv  si import_monetar_items_card.csv ( cate unul pt fiecare tip de plata )



d. daca nu gaseste fisierul template, va afisa in fisierul de erori si va trece la urmatoarea cheie .




--> Configurarea 2 - STRUCTURA UNEI LINII din cadrul fisierului template ( daca se doreste alterata se modifica fisierul template corespunzator )

#{data}|#{nrdoc}|5311|5125|#{suma}|monetar #{locatie} #{tipplata} #{data}|Casa

Observam ca in cadrul fisierului liniile se pot grupa dupa locatie sau tip plata ,chiar daca numele fisierului template nu contine #{locatie} .









== versiunea 2016746 ==
2020_06_20__17_38
 
== versiunea 2016747 ==
2020_06_25__13_13
 
== versiunea 2016748 ==
2020_06_25__18_13
 
== versiunea 2016749 ==
2020_07_03__14_32
 
== versiunea 2016753 ==
2020_07_04__15_52
 
== versiunea 2016754 ==
2020_07_05__08_46
 
== versiunea 2016755 ==
2020_07_05__09_15
 
== versiunea 2016756 ==
2020_07_05__12_29
 
== versiunea 2016757 ==
2020_07_05__13_38
 
== versiunea 2016759 ==
2020_07_07__12_16
 
== versiunea 2016760 ==
2020_07_07__12_31



A. Am imbunatatit mecanismul de numerotare al notelor si al bonurilor de marcaj .

Acum se foloseste un format flexibil de bon , cu cateva variatii suportate :


Pentru NOTE :

#1. formatul default este orderIdentifierDefaultFormat , si are valoarea implicita #{orderid}

#2. daca livrariUseBarcodePrinter este 1 , atunci se va folosi formatul orderIdentifierLabelPrinter , care are valoarea default #{hour}-#{orderid}-#{location}


Pentru BONURI :

#1 daca livrariUseBarcodePrinter este 1 , atunci se va folosi bonIdentifierLabelPrinter , cu val def '#{hour}-#{orderid}-#{location}'

#2. formatul default ( bonNumbering = 1 ) , este  bonIdentifierDefaultFormat si are valoarea default "Nr #{receiptid}"

#3. daca livrariUseNotaNumberAsBonNumber este 1, atunci se va folosi formatul bonIdentifierAsNota , cu 'Comanda Nr #{orderid}'


Mai exista si formatul SHORT ( disponibil in NewAsciiPrinter si GenericLabelPrinter ) : bonIdentifierShortFormat , cu val implicita ""#{orderid}""


Toate formaterele se pot personaliza si pot folosi urmatoarele variabile :

    #1. pentru orders : orderid hour min day month year location humanorderid orderdetails
    #2. pentru bonuri : orderid hour min day month year location receiptid orderdetails humanorderid humanreceiptid

In format se va folosi notatia #{variabila}


Ex: Fantezii de genul #{month}.#{day}-#{humanorderid} , cu resetare manuala a secventei o data pe luna -> ex: 05.22-123 , adica comanda 123 din 22.05

Sau se pot folosi formate diferite , unul pt livrari si unul pt local .


B. Am adaugat notiunea de "Human Id" , adica un numar care nu e legat de id-ul din baza , si care poate fi afisat pe nota (humanorderid) sau pe bon (humanreceiptid)

Evident ca sa apara pe bon sau nota, trebuie modificat formatul ( vezi mai sus ) .

Foarte probabil sa apara gauri . Nu se poate garanta lipsa gaurilor .

Aceste numere pleaca de la 1 si se pot reseta de catre utilizator , manual ( Rapoarte-note-actiuni-Reseteaza secvente ) sau automat la inchiderea de zi prin  resetHumanSequencesAtSeara = 1


C. humanorderid hour min day month year externalorderid ( ex nr de comanda din platforma de comenzi) se pot folosi si in formatul de interfata livrari livrariOrderListFormat ( pentru a match-ui formatul tiparit , cu ce se vede in lista de comenzi )

D. Raportul de note si cel de monetar si cel de Clienti pe zile ,  permitt personalizarea primei coloane dupa formatul raportNoteFirstColumnFormat
    ( pentru a match-ui formatul tiparit , cu ce se vede in lista de comenzi si cu comanda din rapoarte (note si monetar)) , cu urmatoarele campuri :

    orderid hour min day month year location user (ospatar_masa) total humanorderid orderdetails

Ex pt a fi consistent cu livrarile , formatul ar fi gen #{month}.#{day}-#{humanorderid}


== versiunea 2016761 ==
2020_07_08__18_57
 
== versiunea 2016762 ==
2020_07_09__12_46
 
== versiunea 2016763 ==
2020_07_09__20_15
 
== versiunea 2016765 ==
2020_07_09__23_08
 
== versiunea 2016766 ==
2020_07_09__23_20
 
== versiunea 2016767 ==
2020_07_10__12_44
 
== versiunea 2016768 ==
2020_07_13__14_03
 
== versiunea 2016769 ==
2020_07_14__14_06
 
== versiunea 2016771 ==
2020_07_23__10_12
 
== versiunea 2016772 ==
2020_07_23__14_41
 
== versiunea 2016773 ==
2020_08_04__13_31
 
== versiunea 2016774 ==
2020_08_07__14_45
 
== versiunea 2016775 ==
2020_08_25__09_58
 
== versiunea 2016776 ==
2020_08_25__22_54
 

configurare noua contaExportMonetareMapping , pentru remaparea exportului de monetar WINMENTOR , pe tipuri de plata .

De pot comasa mai multe tipurie de plata dever la un singur tip plata mentor :

tipPlataDever1+tipPlataDever2=tipPlataMentor1,tipPlataDever3=tipPlataMentor3



== versiunea 2016777 ==
2020_09_05__18_15
 
== versiunea 2016778 ==
2020_09_23__15_40
 
== versiunea 2016779 ==
2020_09_23__17_31
 
== versiunea 2016780 ==
2020_09_24__14_35
 
== versiunea 2016781 ==
2020_10_12__14_49
 
== versiunea 2016782 ==
2020_10_12__15_13
 
== versiunea 2016783 ==
2020_10_12__15_51
 
== versiunea 2016784 ==
2020_10_20__10_54
 
== versiunea 2016785 ==
2020_10_20__15_42
 
== versiunea 2016786 ==
2020_10_20__16_01
 
== versiunea 2016787 ==
2020_10_20__18_54
 
== versiunea 2016788 ==
2020_10_22__09_24
 
modulul de bucatarie productieQuick , primeste un parametru nou de pornire  servitTriggersDeliverySms ( false sau true in fisierul xml ) ,
   prin care se poate activa trimiterea unui sms la preluarea comenzii de catre livrator ( prin butonul Servit !) .

   servitTriggersIncasat trb sa fie true

   Mai sunt de configurat ( admin/config ) : productieOrderDispatchedSMSBody
    si webapps/droidsms/web.xml ( sa existe )

   Ulterior, pe telefonul android trebuie instalata o aplicatie care sa trimita efectiv sms-urile

   trebuie adaugat in configuratia de start si modulul smsdroid [.xml]

== versiunea 2016789 ==
2020_11_04__11_12
 
== versiunea 2016790 ==
2020_11_11__14_27
 
== versiunea 2016791 ==
2020_11_21__17_09
 
== versiunea 2016792 ==
2020_11_23__09_26
 
== versiunea 2016793 ==
2020_11_23__10_34
 
== versiunea 2016794 ==
2020_11_23__11_05
 
== versiunea 2016796 ==
2020_12_08__13_44
 
== versiunea 2016797 ==
2021_01_05__15_31
 
== versiunea 2016798 ==
2021_01_06__09_29
 
== versiunea 2016800 ==
2021_01_06__09_40
 
== versiunea 2016801 ==
2021_01_06__17_27
 
== versiunea 2016802 ==
2021_01_14__10_42
 
== versiunea 2016803 ==
2021_01_15__17_44
 
== versiunea 2016804 ==
2021_01_17__23_35
 
== versiunea 2016805 ==
2021_03_02__20_24
 
== versiunea 2016806 ==
2021_03_02__21_18
 
== versiunea 2016807 ==
2021_03_03__10_31
 
== versiunea 2016808 ==
2021_03_03__12_34
 
== versiunea 2016810 ==
2021_03_04__11_09
 
== versiunea 2016811 ==
2021_03_05__09_48
 
== versiunea 2016812 ==
2021_03_08__10_52
 
== versiunea 2016813 ==
2021_03_09__09_41
 
== versiunea 2016814 ==
2021_03_09__10_07
 
== versiunea 2016815 ==
2021_03_31__23_29
 
== versiunea 2016816 ==
2021_04_01__11_38
 
== versiunea 2016817 ==
2021_04_02__09_08
 
== versiunea 2016818 ==
2021_04_02__09_16
 
== versiunea 2016819 ==
2021_04_02__13_00
 
== versiunea 2016820 ==
2021_04_03__18_36
 
== versiunea 2016821 ==
2021_04_05__11_58
 
== versiunea 2016822 ==
2021_04_07__07_46
 
== versiunea 2016823 ==
2021_04_07__12_55
 
== versiunea 2016824 ==
2021_04_09__09_29
 
== versiunea 2016826 ==
2021_04_16__10_17
 
== versiunea 2016827 ==
2021_04_16__17_37
 
== versiunea 2016828 ==
2021_04_17__14_34
 
== versiunea 2016829 ==
2021_04_19__13_54
 
== versiunea 2016830 ==
2021_05_05__16_13
 
== versiunea 2016831 ==
2021_05_05__17_12
 
== versiunea 2016832 ==
2021_06_21__12_21
 
== versiunea 2016833 ==
2021_06_21__12_51
 
== versiunea 2016844 ==
2021_06_21__14_38
 
== versiunea 2016845 ==
2021_06_21__14_40
 
== versiunea 2016846 ==
2021_06_21__15_15
 
== versiunea 2016847 ==
2021_06_21__15_28
 
== versiunea 2016848 ==
2021_07_13__14_19
 
== versiunea 2016849 ==
2021_07_13__14_45
 
== versiunea 2016850 ==
2021_07_22__19_34
 
== versiunea 2016851 ==
2021_07_23__15_30
 
== versiunea 2016852 ==
2021_08_04__18_52
 
== versiunea 2016853 ==
2021_08_05__17_13
 
== versiunea 2016854 ==
2021_08_09__07_53
 
== versiunea 2016855 ==
2021_08_24__11_08
 
== versiunea 2016856 ==
2021_08_25__10_20
 
